package com.sunxung.factoring.entity.financing.review;

import com.baomidou.mybatisplus.annotation.TableField;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description : 额度支用信息
 * @Author : L.Jia
 * @Date: 2023-12-18 21:02
 */
public class ReviewQuotaDisburseHis extends BaseEntity {

    /**
     * 额度支用Id
     */
    private Long reviewQuotaDisburseId;

    /**
     * 审批结论
     */
    private String approvalConclusion;

    /**
     * 审批意见
     */
    private String approvalComments;

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 支用批次
     */
    private Integer quotaDisburseBatch;

    /**
     * 业务综合授信余额
     */
    private BigDecimal businessCreditBalance;

    /**
     * 供应商授信余额
     */
    private BigDecimal supplierCreditBalance;

    /**
     * 应收账款起始日
     */
    private Date startDate;

    /**
     * 应收账款期限
     */
    private Integer term;

    /**
     * 应收账款到期日
     */
    private Date endDate;

    /**
     * 应收账款净额总计
     **/
    @TableField("accounts_receivable_net_amount_total")
    private BigDecimal accountsReceivableNetAmountTotal;

    /**
     * 账户上报方式 1:A类，0:B类
     */
    @TableField("report_method")
    private Integer reportMethod;

    /**
     * 有无相关还款责任人:0无、1有
     **/
    @TableField("is_resp_repay")
    private Boolean respRepay;

    /**
     * 有无抵质押:0无、1有
     **/
    @TableField("is_mortgage_info")
    private Boolean mortgageInfo;

    /**
     * 预期Irr(字符串)
     */
    @TableField(exist = false)
    private String planIrrStr;

    /**
     * 预期Irr
     */
    @TableField("plan_irr")
    private BigDecimal planIrr;

    /**
     * 融资历史信息
     */
    @TableField(exist = false)
    private ReviewFinancingInfoHis reviewFinancingInfoHis;

    /**
     * 主合同历史信息
     */
    @TableField(exist = false)
    private ReviewMasterContractHis reviewMasterContractHis;

    /**
     * 收支计划历史信息
     **/
    @TableField(exist = false)
    private List<ReviewIncomeExpenditurePlanHis> incomeExpenditurePlanHisList;

    /**
     * 相关还款责任人信息
     **/
    @TableField(exist = false)
    private List<ReviewRltRepayHis> rltRepayHisList;

    /**
     * 抵质押基础信息
     **/
    @TableField(exist = false)
    private List<ReviewMortgageBasicInfoHis> mortgageBasicInfoHisList;

    /**
     * 应收账款转让信息
     **/
    @TableField(exist = false)
    private ReviewTransferReceivableHis reviewTransferReceivableHis;

    /**
     * 基础交易合同信息
     */
    @TableField(exist = false)
    private List<ReviewBasicContractHis> reviewBasicContractHisList;

    public BigDecimal getBusinessCreditBalance() {
        return businessCreditBalance;
    }

    public void setBusinessCreditBalance(BigDecimal businessCreditBalance) {
        this.businessCreditBalance = businessCreditBalance;
    }

    public BigDecimal getSupplierCreditBalance() {
        return supplierCreditBalance;
    }

    public void setSupplierCreditBalance(BigDecimal supplierCreditBalance) {
        this.supplierCreditBalance = supplierCreditBalance;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Integer getTerm() {
        return term;
    }

    public void setTerm(Integer term) {
        this.term = term;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getReportMethod() {
        return reportMethod;
    }

    public void setReportMethod(Integer reportMethod) {
        this.reportMethod = reportMethod;
    }

    public Long getReviewQuotaDisburseId() {
        return reviewQuotaDisburseId;
    }

    public void setReviewQuotaDisburseId(Long reviewQuotaDisburseId) {
        this.reviewQuotaDisburseId = reviewQuotaDisburseId;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public Boolean getRespRepay() {
        return respRepay;
    }

    public void setRespRepay(Boolean respRepay) {
        this.respRepay = respRepay;
    }

    public Boolean getMortgageInfo() {
        return mortgageInfo;
    }

    public void setMortgageInfo(Boolean mortgageInfo) {
        this.mortgageInfo = mortgageInfo;
    }

    public String getPlanIrrStr() {
        return planIrrStr;
    }

    public void setPlanIrrStr(String planIrrStr) {
        this.planIrrStr = planIrrStr;
    }

    public BigDecimal getPlanIrr() {
        return planIrr;
    }

    public void setPlanIrr(BigDecimal planIrr) {
        this.planIrr = planIrr;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public BigDecimal getAccountsReceivableNetAmountTotal() {
        return accountsReceivableNetAmountTotal;
    }

    public void setAccountsReceivableNetAmountTotal(BigDecimal accountsReceivableNetAmountTotal) {
        this.accountsReceivableNetAmountTotal = accountsReceivableNetAmountTotal;
    }

    public ReviewFinancingInfoHis getReviewFinancingInfoHis() {
        return reviewFinancingInfoHis;
    }

    public void setReviewFinancingInfoHis(ReviewFinancingInfoHis reviewFinancingInfoHis) {
        this.reviewFinancingInfoHis = reviewFinancingInfoHis;
    }

    public ReviewMasterContractHis getReviewMasterContractHis() {
        return reviewMasterContractHis;
    }

    public void setReviewMasterContractHis(ReviewMasterContractHis reviewMasterContractHis) {
        this.reviewMasterContractHis = reviewMasterContractHis;
    }

    public List<ReviewIncomeExpenditurePlanHis> getIncomeExpenditurePlanHisList() {
        return incomeExpenditurePlanHisList;
    }

    public void setIncomeExpenditurePlanHisList(List<ReviewIncomeExpenditurePlanHis> incomeExpenditurePlanHisList) {
        this.incomeExpenditurePlanHisList = incomeExpenditurePlanHisList;
    }

    public List<ReviewRltRepayHis> getRltRepayHisList() {
        return rltRepayHisList;
    }

    public void setRltRepayHisList(List<ReviewRltRepayHis> rltRepayHisList) {
        this.rltRepayHisList = rltRepayHisList;
    }

    public List<ReviewMortgageBasicInfoHis> getMortgageBasicInfoHisList() {
        return mortgageBasicInfoHisList;
    }

    public void setMortgageBasicInfoHisList(List<ReviewMortgageBasicInfoHis> mortgageBasicInfoHisList) {
        this.mortgageBasicInfoHisList = mortgageBasicInfoHisList;
    }

    public ReviewTransferReceivableHis getReviewTransferReceivableHis() {
        return reviewTransferReceivableHis;
    }

    public void setReviewTransferReceivableHis(ReviewTransferReceivableHis reviewTransferReceivableHis) {
        this.reviewTransferReceivableHis = reviewTransferReceivableHis;
    }

    public List<ReviewBasicContractHis> getReviewBasicContractHisList() {
        return reviewBasicContractHisList;
    }

    public void setReviewBasicContractHisList(List<ReviewBasicContractHis> reviewBasicContractHisList) {
        this.reviewBasicContractHisList = reviewBasicContractHisList;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }
}
